## pywps 3.2.6

=== requirements.txt ===
GDAL==1.10.0
lxml==3.5.0

=== debian/changelog ===
pywps (3.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2016 19:24:31 +0200

pywps (3.2.5-2) unstable; urgency=medium

  * Install copy of usr/bin/pywps as usr/lib/cgi-bin/wps.py instead of symlink.
  * Drop pywps dependency from pywps-cgi to break circular dependency.
    (closes: #827307)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2016 23:13:09 +0200

pywps (3.2.5-1) unstable; urgency=medium

  * Import pywps packaging from OSGeo-Live.
    (closes: #610181)
  * Restructure control file with cme.
  * Move Homepage field to Source section.
  * Change maintainer to Debian GIS team.
  * Update Vcs-* fields for repository on Alioth.
  * Update copyright file using copyright-format 1.0.
  * Add watch file for GitHub releases.
  * Add upstream metadata.
  * Add dh-python to build dependencies.
  * Enable parallel builds.
  * Override dh_install to use --list-missing.
  * Enable all hardening buildflags, except PIE (causes build failure).
  * Add gbp.conf to use pristine-tar by default.
  * Install AUTHORS & README files in docs.
  * Remove compiled templates with dh_clean.
  * Rename /usr/bin/wps.py to /usr/bin/pywps.
  * Move pywps executable, CGI & WSGI scripts to separate binary packages.
    - Add python-gdal & python-lxml to python-pywps Depends
    - Add python-mapscript & python-pyproj to python-pywps Recommends
    - Update python-pywps Suggests to use grass-core instead of grass
    - Add r-base to python-pywps Suggest
    - Add cgi-mapserver to pywps Suggests
    - Use dh-apache2 for Apache configuration
  * Install pywps manpage.
  * Build & install documentation.
  * Install pywps.cfg-template, webclient & webservices examples.
  * Override dh_auto_test to run soap_tests.py.
  * Bump Standards-Version to 3.9.8, changes:
    - Vcs-* fields in control file
    - copyright-format 1.0
  * Add Angelos Tzotsos to Uploaders.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jun 2016 19:21:10 +0200

pywps (3.2.5-1~trusty0) trusty; urgency=medium

  * Built for Trusty

 -- Angelos Tzotsos <gcpp.kalxas@gmail.com>  Tue, 01 Mar 2016 18:21:22 +0200

pywps (3.2.5) precise; urgency=medium

  * file handling fixes
  * exception handling

 -- Tom Kralidis <tomkralidis@gmail.com>  Tue, 01 Mar 2016 14:39:22 -0000

pywps (3.2.4-1) precise; urgency=medium

  * Overhauled debian build
  * Moved all pkg reqs from control file to requirements.txt
  * renamed binary package to python-pywps

 -- Khosrow Ebrahimpour <khosrow@khosrow.ca>  Fri, 12 Feb 2016 02:47:46 +0000

pywps (3.2.4) precise; urgency=low

  * fix logging bugs
  * fix output type handling

 -- Tom Kralidis <tomkralidis@gmail.com>  Thu, 11 Feb 2016 00:49:14 +0000

pywps (3.2.3) precise; urgency=low

  * Release of current minor bug fixing patches

 -- Jachym Cepicky <jachym.cepicky@gmail.com>  Sat, 06 Feb 2016 19:22:22 +0000

pywps (3.2.2) precise; urgency=low

  * Changelog version number updated to 3.2.2 and removing of entries in /debian/docs as the files don't exist in the doc directory.

 -- Jachym Cepicky <jachym@les-ejk.cz>  Tue, 02 Feb 2016 19:22:22 +0000

pywps (3.0.0-1) stable; urgency=low

  * New version
  * New code structure
  * New processes examples
  * New configuration file
  * See change log for more details

 -- Jachym Cepicky <jachym@les-ejk.cz>  Thu, 16 Sep 2008 10:00:00 +0100

pywps (2.0.0-1) stable; urgency=low

  * New version
  * New code structure
  * See change log for more details

 -- Jachym Cepicky <jachym@les-ejk.cz>  Mon, 4 Jun 2007 15:38:00 +0200

pywps (1.1.0-1) stable; urgency=low

  1.1.0 devel
  Changes since 1.0.0:
  * ComplexValueReference input type definition is depredecated,
    use only ComplexValue - PyWPS will recognise the input type and handle
    it according to it.
  * GRASS location not created automaticly any more.
  * Rewritten exception handeling
  * Basic support for Range in LiteralValue definition

 -- Jachym Cepicky <jachym@les-ejk.cz>  Fri, 2 Nov 2006 15:38:00 +0200

pywps (1.0.0-1) stable; urgency=low

  1.0.0 Stable
  Changes since RC3:
  * Fixed HTTP POST method
  * Added longer name for PyWPS PID file
  * Fixed small bug in BoundingBox

 -- Jachym Cepicky <jachym@les-ejk.cz>  Fri, 2 Nov 2006 15:38:00 +0200

pywps (1.0.0rc3-1) unstable; urgency=low

  * Release candidate 3

 -- Jachym Cepicky <jachym@les-ejk.cz>  Fri, 2 Nov 2006 15:38:00 +0200

pywps (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Jachym Cepicky <jachym@les-ejk.cz>  Fri, 20 Oct 2006 12:02:58 +0200

=== debian/control ===
Source: pywps
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>,
           Angelos Tzotsos <gcpp.kalxas@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-apache2,
               dh-python,
               python-all,
               python-gdal,
               python-lxml,
               python-setuptools,
               python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pywps.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pywps.git
Homepage: http://pywps.org
X-Python-Version: >= 2.7

Package: python-pywps
Architecture: all
Depends: python-gdal,
         python-lxml,
         ${python:Depends},
         ${misc:Depends}
Recommends: python-mapscript,
            python-pyproj
Suggests: grass-core,
          r-base
Description: Implementation of OGC's Web Processing Service - Python 2 module
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps module for Python 2.

Package: pywps
Architecture: all
Section: web
Depends: libjs-openlayers,
         python-pywps (= ${binary:Version}),
         pywps-wsgi | pywps-cgi,
         ${python:Depends},
         ${misc:Depends}
Suggests: cgi-mapserver,
          pywps-doc
Description: Implementation of OGC's Web Processing Service
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps executable and example processes.

Package: pywps-cgi
Architecture: all
Section: web
Depends: apache2 | httpd-cgi,
         python,
         ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Implementation of OGC's Web Processing Service - CGI script
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the wps.py CGI script.

Package: pywps-wsgi
Architecture: all
Section: web
Depends: libapache2-mod-wsgi | httpd-wsgi,
         ${misc:Depends}
Recommends: ${misc:Recommends}
Description: Implementation of OGC's Web Processing Service - WSGI script
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the wps.py WSGI script.

Package: pywps-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Implementation of OGC's Web Processing Service - Documentation
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --with apache2,python2,sphinxdoc --buildsystem=pybuild --parallel

override_dh_clean:
	dh_clean pywps/Templates/*/*.tmplc

	$(RM) -r doc/build/

override_dh_auto_build:
	dh_auto_build

	(cd doc && $(MAKE) html)

override_dh_auto_test:
	(cd tests && python soap_tests.py || echo "Ignoring test failures")

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/tmp/usr/lib/cgi-bin
	cp debian/tmp/usr/bin/wps.py debian/tmp/usr/lib/cgi-bin/
	mv debian/tmp/usr/bin/wps.py debian/tmp/usr/bin/pywps

override_dh_install:
	dh_install --list-missing

## pywps 4.0.0

=== requirements.txt ===
owslib
jsonschema
lxml
werkzeug
SQLAlchemy
python-dateutil

=== debian/changelog ===
pywps (4.0.0-3) unstable; urgency=medium

  * Add Breaks/Replaces to pywps-wsgi for moved processes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2017 11:29:58 +0100

pywps (4.0.0-2) unstable; urgency=medium

  * Update WSGI example for PyWPS 4.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jan 2017 19:31:25 +0100

pywps (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-sphinx-failure.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Dec 2016 07:50:57 +0100

pywps (4.0.0~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Don't repack upstream tarball, pre-built docs removed upstream.
  * Add python-dateutil to (build) dependencies.
  * Update copyright file, changes:
    - Add OSGeo Foundation to copyright holders
    - Reorder standalone license paragraphs
  * Refresh patches.
  * Add patch to fix sphinx-build failure due to syntax errors.
  * Add python-sqlalchemy to (build) dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Dec 2016 14:30:20 +0100

pywps (4.0.0~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Repack upstream tarballs to exclude pre-built documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 04 Sep 2016 10:58:23 +0200

pywps (4.0.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update filenames in docs file.
  * Update paths for doc build.
  * Update copyright file, changes:
    - Add copyright holders
    - Change license to Expat
  * Drop examples, no longer included upstream.
  * Drop CGI package, wps.py removed upstream.
  * Use libjs-mathjax instead of online copy.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2016 23:38:32 +0200

=== debian/control ===
Source: pywps
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>,
           Angelos Tzotsos <gcpp.kalxas@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-apache2,
               dh-python,
               libjs-mathjax,
               python-all,
               python-dateutil,
               python-flufl.enum,
               python-gdal,
               python-jsonschema,
               python-lxml,
               python-owslib,
               python-setuptools,
               python-sphinx,
               python-sqlalchemy,
               python-werkzeug
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pywps.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pywps.git
Homepage: http://pywps.org
X-Python-Version: >= 2.7

Package: python-pywps
Architecture: all
Depends: python-dateutil,
         python-flufl.enum,
         python-gdal,
         python-jsonschema,
         python-lxml,
         python-owslib,
         python-sqlalchemy,
         python-werkzeug,
         ${python:Depends},
         ${misc:Depends}
Recommends: python-mapscript,
            python-pyproj
Suggests: grass-core,
          r-base
Description: Implementation of OGC's Web Processing Service - Python 2 module
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps module for Python 2.

Package: pywps
Architecture: all
Section: metapackages
Depends: python-pywps (>= ${source:Version}),
         pywps-wsgi (>= ${source:Version}),
         ${python:Depends},
         ${misc:Depends}
Suggests: cgi-mapserver,
          pywps-doc
Description: Implementation of OGC's Web Processing Service
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This metapackage depends on the pywps Python module and WSGI example.

Package: pywps-wsgi
Architecture: all
Section: web
Depends: libapache2-mod-wsgi | httpd-wsgi,
         ${misc:Depends}
Recommends: ${misc:Recommends}
Breaks: pywps (<< 4.0.0-2~)
Replaces: pywps (<< 4.0.0-2~)
Description: Implementation of OGC's Web Processing Service - WSGI example
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the wps.py WSGI script and process examples.

Package: pywps-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Implementation of OGC's Web Processing Service - Documentation
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps documentation.

=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,21 @@
 %:
 	dh $@ --with apache2,python2,sphinxdoc --buildsystem=pybuild --parallel
 
-override_dh_clean:
-	dh_clean pywps/Templates/*/*.tmplc
+override_auto_clean:
+	dh_auto_clean
 
-	$(RM) -r doc/build/
+	$(RM) -r docs/_build/
 
 override_dh_auto_build:
 	dh_auto_build
 
-	(cd doc && $(MAKE) html)
+	(cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html && \
+	 ln -s /usr/share/javascript/mathjax _build/html/_static/)
 
 override_dh_auto_test:
-	(cd tests && python soap_tests.py || echo "Ignoring test failures")
-
-override_dh_auto_install:
-	dh_auto_install
-
-	mkdir -p debian/tmp/usr/lib/cgi-bin
-	cp debian/tmp/usr/bin/wps.py debian/tmp/usr/lib/cgi-bin/
-	mv debian/tmp/usr/bin/wps.py debian/tmp/usr/bin/pywps
+	PYBUILD_BEFORE_TEST="cp -rv {dir}/pywps/schemas {build_dir}/pywps/" \
+	OFFLINE_TESTS=1 \
+	dh_auto_test || echo "Ignoring test failures"
 
 override_dh_install:
 	dh_install --list-missing

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|pywps)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pywps-$1.$2/ \
https://github.com/geopython/pywps/releases \
(?:.*?/)?(?:rel|v|pywps)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pywps 4.2.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build -W
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pywps (4.2.1-1ubuntu1) eoan; urgency=medium

  * Cherry-pick from salsa:
    - Bump Standards-Version to 4.3.0, no changes.
    - Remove package name from lintian overrides.
    - Switch to Python 3.
    - Add patch for Python 3.7 compatibility.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Sep 2019 23:56:26 -0700

pywps (4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable rollback in gbp.conf.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Dec 2018 20:49:16 +0100

pywps (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Update copyright holders.
  * Add jinja2, netcdf4, pathlib & requests to (build) dependencies.
  * Drop demobuffer-syntaxerror.patch, fixed upstream.
    Refresh remaining patches.
  * Update offline-tests.patch with more tests to skip.
  * Include joblauncher in python-pywps package.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Dec 2018 12:10:37 +0100

pywps (4.0.0-6) unstable; urgency=medium

  * Drop ancient X-Python-Version field.
  * Strip trailing whitespace from control & rules files.
  * Disable PIE only on older Ubuntu releases.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add patch to use Python 2 version of Sphinx explicitly.
  * Add override for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 18:23:12 +0200

pywps (4.0.0-5) unstable; urgency=medium

  * Add python3-sphinx to build dependencies.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Add patch fix SyntaxError in demobuffer.py.
    (closes: #896612)
  * Add lintian override for python-foo-but-no-python3-foo.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Apr 2018 22:09:16 +0200

pywps (4.0.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Disable PIE on Ubuntu where it's still problematic.
  * Add patch to disable Sphinx theme options causing privacy breach issues.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 12:03:07 +0200

=== debian/control ===
Source: pywps
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>,
           Angelos Tzotsos <gcpp.kalxas@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-apache2,
               dh-python,
               libjs-mathjax,
               lsb-release,
               python3-all,
               python3-dateutil,
               python3-flufl.enum,
               python3-gdal,
               python3-jinja2,
               python3-jsonschema,
               python3-lxml,
               python3-netcdf4,
               python3-owslib,
               python3-requests,
               python3-setuptools,
               python3-sphinx,
               python3-sqlalchemy,
               python3-werkzeug
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
Homepage: http://pywps.org

Package: python3-pywps
Architecture: all
Depends: python3-dateutil,
         python3-flufl.enum,
         python3-gdal,
         python3-jinja2,
         python3-jsonschema,
         python3-lxml,
         python3-owslib,
         python3-requests,
         python3-sqlalchemy,
         python3-werkzeug,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-mapscript,
            python3-netcdf4,
            python3-pyproj
Suggests: grass-core,
          r-base
Description: Implementation of OGC's Web Processing Service - Python module
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps Python module.

Package: pywps
Architecture: all
Section: metapackages
Depends: python3-pywps (>= ${source:Version}),
         pywps-wsgi (>= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Suggests: cgi-mapserver,
          pywps-doc
Description: Implementation of OGC's Web Processing Service
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This metapackage depends on the pywps Python module and WSGI example.

Package: pywps-wsgi
Architecture: all
Section: web
Depends: libapache2-mod-wsgi | httpd-wsgi,
         ${misc:Depends}
Recommends: ${misc:Recommends}
Breaks: pywps (<< 4.0.0-2~)
Replaces: pywps (<< 4.0.0-2~)
Description: Implementation of OGC's Web Processing Service - WSGI example
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the wps.py WSGI script and process examples.

Package: pywps-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Implementation of OGC's Web Processing Service - Documentation
 PyWPS is implementation of Web Processing Service from Open
 Geospatial Consortium Inc.(R) with help of  Python Programming
 Language and GIS GRASS as working tool in background.
 .
 This package contains the pywps documentation.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,20 @@
 #export DH_VERBOSE=1
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# Disable PIE on Ubuntu where it's still problematic
+VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
+DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
+
+ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
+  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
+    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+  endif
+endif
 
 %:
-	dh $@ --with apache2,python2,sphinxdoc --buildsystem=pybuild --parallel
+	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild --parallel
 
 override_auto_clean:
 	dh_auto_clean
@@ -33,4 +43,3 @@
 
 override_dh_install:
 	dh_install --list-missing
-

## pywps 4.2.4

=== requirements.txt ===
flufl.enum 
jinja2
jsonschema
lxml
owslib
pathlib
python-dateutil
requests
SQLAlchemy
werkzeug

=== debian/changelog ===
pywps (4.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update copyright years for OSGeo.
  * Drop version.patch, fixed upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Feb 2020 05:46:51 +0100

pywps (4.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add patch to fix version.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Oct 2019 12:22:19 +0100

pywps (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update URLs to use HTTPS.
  * Drop python-3.7.patch, applied upstream. Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Sep 2019 07:18:00 +0200

pywps (4.2.1-4) unstable; urgency=medium

  * Add license & copyright for geojson schemas.
    (closes: #940185)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Sep 2019 17:34:45 +0200

pywps (4.2.1-3) unstable; urgency=medium

  * Add Breaks/Replaces to fix upgrade to python3-pywps.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Sep 2019 07:47:13 +0200

pywps (4.2.1-2) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update PIE hardening conditional, trusty is EOL.
  * Update copyright file, changes:
    - Fix license & copyright for sayhello.py.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Sep 2019 18:19:15 +0200

pywps (4.2.1-2~exp1) experimental; urgency=medium

  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.
  * Switch to Python 3.
  * Add patch for Python 3.7 compatibility.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Mar 2019 20:59:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pywps
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>,
            Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
@@ -24,10 +23,10 @@
                python3-sphinx,
                python3-sqlalchemy,
                python3-werkzeug
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
-Homepage: http://pywps.org
+Homepage: https://pywps.org
 
 Package: python3-pywps
 Architecture: all
@@ -48,6 +47,8 @@
             python3-pyproj
 Suggests: grass-core,
           r-base
+Breaks: python-pywps (<< 4.2.1-2~)
+Replaces: python-pywps (<< 4.2.1-2~)
 Description: Implementation of OGC's Web Processing Service - Python module
  PyWPS is implementation of Web Processing Service from Open
  Geospatial Consortium Inc.(R) with help of  Python Programming

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
 
 ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-  ifneq (,$(filter $(DISTRIBUTION_RELEASE),trusty xenial bionic))
+  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
     export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
   endif
 endif

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|pywps)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pywps-$1.$2/ \
https://github.com/geopython/pywps/releases \
(?:.*?/archive/)?(?:rel|v|pywps)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pywps 4.2.7

=== debian/changelog ===
pywps (4.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for redundant-globbing-patterns.
  * Drop unused override for embedded-javascript-library.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Aug 2020 16:07:33 +0200

pywps (4.2.6-2) unstable; urgency=medium

  * Switch libapache2-mod-wsgi dependency to libapache2-mod-wsgi-py3.
  * Mark patches as Forwarded: not-needed.
  * Add lintian override for embedded-javascript-library.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jul 2020 05:49:06 +0200

pywps (4.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jul 2020 08:13:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-apache2,
                dh-python,
                libjs-mathjax,
@@ -75,7 +75,7 @@
 Package: pywps-wsgi
 Architecture: all
 Section: web
-Depends: libapache2-mod-wsgi | httpd-wsgi,
+Depends: libapache2-mod-wsgi-py3 | httpd-wsgi,
          ${misc:Depends}
 Recommends: ${misc:Recommends}
 Breaks: pywps (<< 4.0.0-2~)

## pywps 4.2.11

=== requirements.txt ===
jinja2
jsonschema
lxml
owslib
python-dateutil
requests
SQLAlchemy
werkzeug

=== debian/changelog ===
pywps (4.2.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-flufl.enum (build) dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2021 06:55:13 +0100

pywps (4.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jan 2021 05:55:09 +0100

pywps (4.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Dec 2020 07:17:26 +0100

pywps (4.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Sep 2020 17:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                lsb-release,
                python3-all,
                python3-dateutil,
-               python3-flufl.enum,
                python3-gdal,
                python3-jinja2,
                python3-jsonschema,
@@ -23,7 +22,7 @@
                python3-sphinx,
                python3-sqlalchemy,
                python3-werkzeug
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
 Homepage: https://pywps.org
@@ -31,7 +30,6 @@
 Package: python3-pywps
 Architecture: all
 Depends: python3-dateutil,
-         python3-flufl.enum,
          python3-gdal,
          python3-jinja2,
          python3-jsonschema,

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 endif
 
 %:
-	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild --parallel
+	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild
 
 override_auto_clean:
 	dh_auto_clean

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\

## pywps 4.5.1

=== debian/changelog ===
pywps (4.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop undefined substitution variables.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Dec 2021 06:38:51 +0100

pywps (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 13:22:17 +0200

pywps (4.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Aug 2021 16:28:15 +0200

pywps (4.4.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add python3-markupsafe to (build) dependencies.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Aug 2021 06:01:53 +0200

pywps (4.4.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove myself from Uploaders.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Jun 2021 06:04:09 +0200

pywps (4.4.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add python3-pytest to build dependencies.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 May 2021 08:51:06 +0200

pywps (4.4.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 31 Mar 2021 20:12:04 +0200

pywps (4.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Add python3-humanize to (build) dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Mar 2021 05:40:28 +0100

pywps (4.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Feb 2021 14:34:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pywps
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Bas Couwenberg <sebastic@debian.org>,
-           Angelos Tzotsos <gcpp.kalxas@gmail.com>
+Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-apache2,
                dh-python,
                libjs-mathjax,
@@ -12,17 +11,20 @@
                python3-all,
                python3-dateutil,
                python3-gdal,
+               python3-humanize,
                python3-jinja2,
                python3-jsonschema,
                python3-lxml,
+               python3-markupsafe,
                python3-netcdf4,
                python3-owslib,
+               python3-pytest,
                python3-requests,
                python3-setuptools,
                python3-sphinx,
                python3-sqlalchemy,
                python3-werkzeug
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
 Homepage: https://pywps.org
@@ -31,9 +33,11 @@
 Architecture: all
 Depends: python3-dateutil,
          python3-gdal,
+         python3-humanize,
          python3-jinja2,
          python3-jsonschema,
          python3-lxml,
+         python3-markupsafe,
          python3-owslib,
          python3-requests,
          python3-sqlalchemy,
@@ -59,7 +63,6 @@
 Section: metapackages
 Depends: python3-pywps (>= ${source:Version}),
          pywps-wsgi (>= ${source:Version}),
-         ${python3:Depends},
          ${misc:Depends}
 Suggests: cgi-mapserver,
           pywps-doc

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,3 @@
 	PYBUILD_BEFORE_TEST="cp -rv {dir}/pywps/schemas {build_dir}/pywps/" \
 	OFFLINE_TESTS=1 \
 	dh_auto_test || echo "Ignoring test failures"
-
-override_dh_install:
-	dh_install --list-missing

## pywps 4.5.2

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,7 @@
 requests
 SQLAlchemy
 werkzeug
+MarkupSafe
+humanize
+geotiff
+fiona

=== debian/changelog ===
pywps (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Drop Ubuntu PIE changes.
  * Bump Standards-Version to 4.6.1, no changes.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 18:01:54 +0100

pywps (4.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Apr 2022 05:25:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dh-apache2,
                dh-python,
                libjs-mathjax,
-               lsb-release,
                python3-all,
                python3-dateutil,
                python3-gdal,
@@ -24,10 +23,11 @@
                python3-sphinx,
                python3-sqlalchemy,
                python3-werkzeug
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
 Homepage: https://pywps.org
+Rules-Requires-Root: no
 
 Package: python3-pywps
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,6 @@
 
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-# Disable PIE on Ubuntu where it's still problematic
-VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
-DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)
-
-ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
-  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
-    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
-  endif
-endif
 
 %:
 	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|pywps)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pywps-$1.$2/ \
https://github.com/geopython/pywps/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pywps)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pywps 4.6.0

=== requirements.txt ===
markupsafe
sqlalchemy
fiona
geotiff
humanize
jinja2
jsonschema
lxml
owslib
python-dateutil
requests
werkzeug

=== debian/changelog ===
pywps (4.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add py3dist overrides for geotiff.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Don't set environment variables in dh_auto_test override.
  * Remove generated files in clean target.
    (closes: #1047768, #1049690)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Nov 2023 17:17:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Uploaders: Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-apache2,
                dh-python,
+               dh-sequence-apache2,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libjs-mathjax,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-dateutil,
                python3-gdal,
@@ -23,7 +27,7 @@
                python3-sphinx,
                python3-sqlalchemy,
                python3-werkzeug
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
 Homepage: https://pywps.org

=== debian/rules ===
--- 
+++ 
@@ -12,21 +12,15 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+export PYBUILD_BEFORE_TEST=cp -rv {dir}/pywps/schemas {build_dir}/pywps/
+export OFFLINE_TESTS=1
+
 %:
-	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_auto_clean:
-	dh_auto_clean
-
-	$(RM) -r docs/_build/
-
-override_dh_auto_build:
-	dh_auto_build
-
+execute_after_dh_auto_build:
 	(cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html && \
 	 ln -s /usr/share/javascript/mathjax _build/html/_static/)
 
 override_dh_auto_test:
-	PYBUILD_BEFORE_TEST="cp -rv {dir}/pywps/schemas {build_dir}/pywps/" \
-	OFFLINE_TESTS=1 \
 	dh_auto_test || echo "Ignoring test failures"

## pywps 4.7.0

=== Makefile ===
# Configuration
APP_ROOT := $(abspath $(lastword $(MAKEFILE_LIST))/..)

# end of configuration

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
	else:
		match = re.match(r'^## (.*)$$', line)
		if match:
			help = match.groups()[0]
			print("\n%s" % (help))
endef
export PRINT_HELP_PYSCRIPT

.DEFAULT_GOAL := help

help: ## print this help message. (Default)
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

## Build targets:

install: ## install pywps
	@echo "Installing pywps ..."
	@-bash -c 'pip install -e .'

develop: ## install pywps with development libraries
	@echo "Installing development requirements for tests and docs ..."
	@-bash -c 'pip install -e ".[dev]"'

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	@echo "Removing build artifacts ..."
	@-rm -fr build/
	@-rm -fr dist/
	@-rm -fr .eggs/
	@-find . -name '*.egg-info' -exec rm -fr {} +
	@-find . -name '*.egg' -exec rm -f {} +
	@-find . -name '*.log' -exec rm -fr {} +
	@-find . -name '*.sqlite' -exec rm -fr {} +

clean-pyc: ## remove Python file artifacts
	@echo "Removing Python file artifacts ..."
	@-find . -name '*.pyc' -exec rm -f {} +
	@-find . -name '*.pyo' -exec rm -f {} +
	@-find . -name '*~' -exec rm -f {} +
	@-find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	@echo "Removing test artifacts ..."
	@-rm -fr .tox/
	@-rm -f .coverage
	@-rm -fr .pytest_cache

clean-dist: clean  ## remove git ignored files and directories
	@echo "Running 'git clean' ..."
	@git diff --quiet HEAD || echo "There are uncommitted changes! Aborting 'git clean' ..."
	## do not use git clean -e/--exclude here, add them to .gitignore instead
	@-git clean -dfx

clean-docs: ## remove documentation artifacts
	@echo "Removing documentation artifacts ..."
	$(MAKE) -C docs clean

lint: ## check style with ruff
	@echo "Running code style checks ..."
	@bash -c 'ruff check pywps'

## Testing targets:

test: ## run tests quickly with the default Python (skip slow and online tests)
	@echo "Running tests (skip slow and online tests) ..."
	@bash -c 'pytest -v -m "not slow and not online" tests/'

test-all: ## run all tests quickly with the default Python
	@echo "Running all tests (including slow and online tests) ..."
	@bash -c 'pytest -v tests/'

## Sphinx targets:

docs: clean-docs ## generate Sphinx HTML documentation, including API docs
	@echo "Generating docs with Sphinx ..."
	$(MAKE) -C docs html
	@echo "Open your browser to: file:/$(APP_ROOT)/docs/build/html/index.html"
	## do not execute xdg-open automatically since it hangs ReadTheDocs and job does not complete
	@echo "xdg-open $(APP_ROOT)/docs/build/html/index.html"


## Deployment targets:

# dist: clean ## builds source and wheel package
# 	python -m flit build
# 	ls -l dist

# release: dist ## package and upload a release
# 	python -m flit publish dist/*

=== requirements.txt ===
markupsafe
sqlalchemy
fiona
geotiff
tifffile <=2025.5.10
zarr <3
humanize
jinja2
jsonschema
lxml
owslib
python-dateutil
requests
werkzeug
urllib3>=2.5.0 # not directly required, pinned by Snyk to avoid a vulnerability
numpy>=1.22.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
pywps (4.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Mark pywps-doc as Multi-Arch: foreign.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Refresh patches.
  * Make pytest output extra verbose.
  * Don't install joblauncher.
  * Replace python3-gdal with python3-fiona.
  * Copy all files to build directory.
  * Fix nodoc build.
  * Use pytest marker to skip online tests.
  * Use autopkgtest-pkg-pybuild testsuite.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 15 Dec 2025 15:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-dateutil,
-               python3-gdal,
+               python3-fiona,
                python3-humanize,
                python3-jinja2,
                python3-jsonschema,
@@ -21,36 +21,23 @@
                python3-markupsafe,
                python3-netcdf4,
                python3-owslib,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-requests,
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
                python3-sqlalchemy,
                python3-werkzeug
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pywps
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pywps.git
 Homepage: https://pywps.org
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pywps
 Architecture: all
-Depends: python3-dateutil,
-         python3-gdal,
-         python3-humanize,
-         python3-jinja2,
-         python3-jsonschema,
-         python3-lxml,
-         python3-markupsafe,
-         python3-owslib,
-         python3-requests,
-         python3-sqlalchemy,
-         python3-werkzeug,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-mapscript,
-            python3-netcdf4,
-            python3-pyproj
+Recommends: python3-netcdf4
 Suggests: grass-core,
           r-base
 Breaks: python-pywps (<< 4.2.1-2~)
@@ -94,6 +81,7 @@
 
 Package: pywps-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax,
          ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,15 @@
 # Enable hardening build flags
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-export PYBUILD_BEFORE_TEST=cp -rv {dir}/pywps/schemas {build_dir}/pywps/
-export OFFLINE_TESTS=1
+export PYBUILD_NAME=pywps
+export PYBUILD_BEFORE_TEST=cp -rv {dir}/pywps {dir}/tests {build_dir}
+export PYBUILD_TEST_ARGS=-vv -m "not online and not geotiff"
 
 %:
 	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	(cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html && \
 	 ln -s /usr/share/javascript/mathjax _build/html/_static/)
-
-override_dh_auto_test:
-	dh_auto_test || echo "Ignoring test failures"
+endif
